Package org.eclipse.net4j.util.io

## Class ZIPUtil.FileSystemZipHandler

- java.lang.Object
- - org.eclipse.net4j.util.io.ZIPUtil.FileSystemZipHandler

- All Implemented Interfaces:
    `ZIPUtil.ZipEntryHandler`
  Enclosing class:
    ZIPUtil

      public static class ZIPUtil.FileSystemZipHandler
      extends java.lang.Object
      implements ZIPUtil.ZipEntryHandler

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSystemZipHandler​(java.io.File sourceFolder, boolean excludeRoot)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getName​(java.io.File file)` |
    `void` | `handleEntry​(ZIPUtil.EntryContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemZipHandler

          public FileSystemZipHandler​(java.io.File sourceFolder,
                                      boolean excludeRoot)

  - ### Method Detail

    - #### handleEntry

          public void handleEntry​(ZIPUtil.EntryContext context)
                           throws java.io.IOException

      Specified by:
        `handleEntry` in interface `ZIPUtil.ZipEntryHandler`
      Throws:
        `java.io.IOException`

    - #### getName

          protected java.lang.String getName​(java.io.File file)